Debian Bug report logs - #531771
xkb-data: level 3 switch not working anymore

version graph

Package: xkb-data; Maintainer for xkb-data is Debian X Strike Force <debian-x@lists.debian.org>; Source for xkb-data is src:xkeyboard-config.

Reported by: Nicolas Évrard <nicoe@no-log.org>

Date: Wed, 3 Jun 2009 22:12:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 532717, 534945

Found in version xkeyboard-config/1.6-1

Fixed in version xkeyboard-config/1.8-1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=23266, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=19500

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Wed, 03 Jun 2009 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Évrard <nicoe@no-log.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Jun 2009 22:12:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Évrard <nicoe@no-log.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xkb-data: level 3 switch not working anymore
Date: Thu, 4 Jun 2009 00:07:15 +0200
Package: xkb-data
Version: 1.6-1
Severity: important

Hello,

Since the upgrade the version 1.6, my level 3 switch stopped working
in gdm (but not under gnome).

Here is the relevant information from /etc/default/console-setup

# The following variables describe your keyboard and can have the same
# values as the XkbModel, XkbLayout, XkbVariant and XkbOptions options
# in /etc/X11/xorg.conf.
XKBMODEL="macintosh"
XKBLAYOUT="be"
XKBVARIANT=""
XKBOPTIONS="lv3:rwin_switch,ctrl:swapcaps"

I set the severity to grave since people might have special characters
in their password and found themselves locked out of their account if
they don't know how to change it (or how to revert to version 1.5).

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information

--
Nicolas Évrard     |   Web: http://www.openhex.com
Liège - Belgique




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Thu, 04 Jun 2009 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Évrard <nicoe@no-log.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 04 Jun 2009 00:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 531771@bugs.debian.org (full text, mbox):

From: Nicolas Évrard <nicoe@no-log.org>
To: Debian Bug Tracking System <531771@bugs.debian.org>
Subject: probably not a xkb-data bug
Date: Thu, 4 Jun 2009 02:32:04 +0200
Package: xkb-data
Version: 1.6-1
Severity: normal

Hello,

Me again, since I do not use that much gnome applications I did not
realize that in fact all the gnome application are affected by this
bug but every X11 application are not.

eg: I can not type @ in banshee or firefox but I can do it into an
urxvt terminal.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information

--
Nicolas Évrard     |   Web: http://www.openhex.com
Liège - Belgique




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Sat, 13 Jun 2009 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephane Glondu <steph@glondu.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 13 Jun 2009 12:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 531771@bugs.debian.org (full text, mbox):

From: Stephane Glondu <steph@glondu.net>
To: Debian Bug Tracking System <531771@bugs.debian.org>
Subject: xkb-data: level 3 switch not working anymore in gtk with level3(lwin_switch)
Date: Sat, 13 Jun 2009 14:14:23 +0200
Package: xkb-data

I've been experiencing similar problems since a recent upgrade of
xkb-data to 1.6-1:

 - level 3 characters do not work anymore in GTK applications when the
   option level3(lwin_switch) is set, but work in gnome-terminal or QT
   applications
 - they work if I disable the option level3(lwin_switch)
 - they work if I leave the option level3(lwin_switch) set, but
   downgrade xkb-data to 1.5-2

My output of "setxkbmap -print" is:

xkb_keymap {
	xkb_keycodes  { include "xfree86+aliases(azerty)"	};
	xkb_types     { include "complete"	};
	xkb_compat    { include "complete"	};
	xkb_symbols   { include "pc+fr(dvorak)+us:2+group(shifts_toggle)+level3(ralt_switch)+level3(lwin_switch)"	};
	xkb_geometry  { include "pc(pc105)"	};
};

I guess Nicolas would get rid of the problem after disabling
rwin_switch.

HTH,

-- 
Stephane

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Sat, 13 Jun 2009 12:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephane Glondu <steph@glondu.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 13 Jun 2009 12:51:02 GMT) Full text and rfc822 format available.

Message #20 received at 531771@bugs.debian.org (full text, mbox):

From: Stephane Glondu <steph@glondu.net>
To: Debian Bug Tracking System <531771@bugs.debian.org>
Subject: Re: xkb-data: level 3 switch not working anymore in gtk with level3(lwin_switch)
Date: Sat, 13 Jun 2009 14:47:48 +0200
Stephane Glondu a écrit :
> I've been experiencing similar problems since a recent upgrade of
> xkb-data to 1.6-1:
> [...]
>  - they work if I leave the option level3(lwin_switch) set, but
>    downgrade xkb-data to 1.5-2

Bisecting identifies the first bad commit as:

http://git.debian.org/?p=pkg-xorg/data/xkb-data.git;a=commit;h=5de02aa07a8d4bbe1957af3a38212c3507f2436f


Cheers,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, ulrik.sverdrup@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Mon, 15 Jun 2009 21:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik Sverdrup <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to ulrik.sverdrup@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 15 Jun 2009 21:00:07 GMT) Full text and rfc822 format available.

Message #25 received at 531771@bugs.debian.org (full text, mbox):

From: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
To: Debian Bug Tracking System <531771@bugs.debian.org>
Subject: xkb-data: Another datapoint
Date: Mon, 15 Jun 2009 22:47:48 +0200
Package: xkb-data
Version: 1.6-1
Severity: normal

Another datapoint; similar behaviour here; I can type most symbols but
can't for the life of me find how to type tilde anymore.

Only reason for reporting in to show that it happens for more than one
keyboard layout (mine swedish).

$ setxkbmap -print
xkb_keymap {
	xkb_keycodes  { include "xfree86+aliases(qwerty)"	};
	xkb_types     { include "complete"	};
	xkb_compat    { include "complete"	};
	xkb_symbols   { include
"pc+se+inet(pc105)+de:2+no:3+gr:4+level3(win_switch)+level3(lwin_switch)+level3(rwin_switch)+level3(enter_switch)+ctrl(nocaps)"};
	xkb_geometry  { include "pc(pc105)"	};
};



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.27-rc8fastboot
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- no debconf information




Forcibly Merged 531771 532717. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 21 Jun 2009 08:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Tue, 14 Jul 2009 11:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thore Greif <thore.greif@myops.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 14 Jul 2009 11:21:06 GMT) Full text and rfc822 format available.

Message #32 received at 531771@bugs.debian.org (full text, mbox):

From: Thore Greif <thore.greif@myops.de>
To: 531771@bugs.debian.org
Subject: xkb-data: level 3 switch not working anymore
Date: Tue, 14 Jul 2009 12:38:32 +0200
I confirm this bug (?). Level3 does work any more in some (xlib?)
applications like e.g. urxvt but not in other (libgtk?) applications
like evolution. Setup with xkb-data 1.6-1 as follows:

xorg.conf:

Section "InputDevice"
        Identifier      "Generic Keyboard"
        Driver          "kbd"
        Option          "CoreKeyboard"
        Option          "XkbRules"      "xorg"
        Option          "XkbModel"      "apple_laptop"
        Option          "XkbLayout"     "de"
        Option          "XkbVariant"    "mac_nodeadkeys"
        Option          "XkbOptions"    "lv3:win_switch"
EndSection

setxkbmap -print:

xkb_keymap {
	xkb_keycodes  { include "xfree86+aliases(qwertz)"	};
	xkb_types     { include "complete"	};
	xkb_compat    { include "complete"	};
	xkb_symbols   { include "pc+de(mac_nodeadkeys)+level3(win_switch)"	};
	xkb_geometry  { include "pc(pc104)"	};
};

xmodmap: 

xmodmap:  up to 4 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e)
lock        Caps_Lock (0x42)
control     Control_L (0x25),  Control_R (0x6d)
mod1        Alt_L (0x40),  Meta_L (0x9c)
mod2        Num_Lock (0x4d)
mod3      
mod4        ISO_Level3_Shift (0x73),  ISO_Level3_Shift (0x74),  Super_L
(0x7f),  Hyper_L (0x80)
mod5        Mode_switch (0x5d),  ISO_Level3_Shift (0x71),
ISO_Level3_Shift (0x7c)

xmodmap -pke | grep Level3
keycode 113 = ISO_Level3_Shift NoSymbol ISO_Level3_Shift NoSymbol
ISO_Level3_Shift
keycode 115 = ISO_Level3_Shift NoSymbol ISO_Level3_Shift NoSymbol
ISO_Level3_Shift
keycode 116 = ISO_Level3_Shift NoSymbol ISO_Level3_Shift NoSymbol
ISO_Level3_Shift
keycode 124 = ISO_Level3_Shift NoSymbol ISO_Level3_Shift NoSymbol
ISO_Level3_Shift

xev:

According to xev the left and right "Win-Keys" (= Apple-Keys on the mac
keyboard) both have keycode 0x73:

KeyPress event, serial 25, synthetic NO, window 0x1600001,
    root 0x11c, subw 0x0, time 12205667, (478,468), root:(479,490),
    state 0x10, keycode 115 (keysym 0xfe03, ISO_Level3_Shift),
same_screen YES,
    XKeysymToKeycode returns keycode: 113
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyRelease event, serial 28, synthetic NO, window 0x1600001,
    root 0x11c, subw 0x0, time 12205717, (478,468), root:(479,490),
    state 0xd0, keycode 115 (keysym 0xfe03, ISO_Level3_Shift),
same_screen YES,
    XKeysymToKeycode returns keycode: 113
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyPress event, serial 28, synthetic NO, window 0x1600001,
    root 0x11c, subw 0x0, time 12206856, (478,468), root:(479,490),
    state 0x10, keycode 115 (keysym 0xfe03, ISO_Level3_Shift),
same_screen YES,
    XKeysymToKeycode returns keycode: 113
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyRelease event, serial 28, synthetic NO, window 0x1600001,
    root 0x11c, subw 0x0, time 12206907, (478,468), root:(479,490),
    state 0xd0, keycode 115 (keysym 0xfe03, ISO_Level3_Shift),
same_screen YES,
    XKeysymToKeycode returns keycode: 113
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False


Removing Super and Hyper from mod4 in a working Level3 at least for
emacs22-gtk but no other applications.

There's no hint in either xkb-data/changelog.Debian.gz nor
xkb-data/changelog.gz that explains this bug (?) to me.

What else could I contribute to help analyzing the lacking Level3
function?






Forcibly Merged 531771 532717 534945. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 12 Aug 2009 11:09:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=23266'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 12 Aug 2009 16:15:06 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=23266, merged-upstream: https://bugs.freedesktop.org/show_bug.cgi?id=19500' from 'https://bugs.freedesktop.org/show_bug.cgi?id=23266' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 27 Aug 2009 09:48:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Wed, 02 Sep 2009 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loris Boillet <loris.boillet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 02 Sep 2009 21:36:03 GMT) Full text and rfc822 format available.

Message #43 received at 531771@bugs.debian.org (full text, mbox):

From: Loris Boillet <loris.boillet@gmail.com>
To: 531771@bugs.debian.org
Subject: xkb-data: level 3 switch not working anymore
Date: Wed, 2 Sep 2009 23:30:34 +0200
Hello,

same bug for me on a Logitech Keyboard with danish layout.

What exactly is needed to workaround this bug? Downgrading to Lenny's
xkb-data version and restarting X was not enough for me. I also tried
to set different values in XKBOPTIONS of /etc/default/console-setup,
but no luck.

(Feel free to remove this "noise" message once this bug report
includes the steps to workaround)

Thanks,

Loris




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 19 Oct 2009 19:30:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Thu, 29 Oct 2009 02:42:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Pook <debian50@pook.it>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 29 Oct 2009 02:42:23 GMT) Full text and rfc822 format available.

Message #50 received at 531771@bugs.debian.org (full text, mbox):

From: Stuart Pook <debian50@pook.it>
To: 531771@bugs.debian.org, Loris Boillet <loris.boillet@gmail.com>
Subject: xkb-data: level 3 switch not working anymore
Date: Wed, 28 Oct 2009 22:52:28 +0100
[Message part 1 (text/plain, inline)]
The bug fix in http://bugs.freedesktop.org/attachment.cgi?id=30489 fixed the problem for me. I hope that this fix can be applied to the next version of xkb-data.

my /etc/default/console-setup contains

XKBMODEL="apple"
XKBLAYOUT="us+stuart+level3(win_switch)+ctrl(nocaps)"
XKBVARIANT=""
XKBOPTIONS=""

I have attached /usr/share/X11/xkb/symbols/stuart. It adds some accented characters to various keys using the level3 switch. Is this the standard way to do this?

thanks
Stuart
[stuart (text/plain, inline)]
partial default alphanumeric_keys
xkb_symbols "stuart"
{
	key <TLDE> {
		type= "FOUR_LEVEL",
		[ grave, asciitilde, dead_grave, dead_tilde ]
	};
	key <AE02> {
		type= "THREE_LEVEL",
		[ 2, at, EuroSign ]
	};
	key <AE05> {
		type= "THREE_LEVEL",
		[ 5, percent, EuroSign ]
	};
	key <AE06> {
		type= "THREE_LEVEL",
		[ 6, asciicircum, dead_circumflex ]
	};
	key <AE09> { 
		type= "FOUR_LEVEL",
		[ 9, parenleft, leftsinglequotemark, dead_breve]
	};
	key <AE10> {
		type= "FOUR_LEVEL",
		[ 0, parenright, rightsinglequotemark, dead_abovering ]
	};
	key <AD03> {
		type= "FOUR_LEVEL_SEMIALPHABETIC",
		[ e, E, ecircumflex, Ecircumflex ]
	};
 	key <AD06> {
		type= "FOUR_LEVEL_ALPHABETIC",
 		[ y, Y, ydiaeresis, Ydiaeresis ]
	};
 	key <AD07> {
		type= "FOUR_LEVEL_ALPHABETIC",
		[ u, U, ucircumflex, Ucircumflex ]
	 };
	key <AD08> {
 		type= "FOUR_LEVEL_ALPHABETIC",
		[ i, I, icircumflex, Icircumflex ]
	};
	key <AD09> {
		type= "FOUR_LEVEL_ALPHABETIC",
		[ o, O, ocircumflex, Ocircumflex ]
	};
	key <AD11> {
		type = "THREE_LEVEL",
		[ bracketleft, braceleft, guillemotleft ]
	};
	key <AD12> {
		type = "THREE_LEVEL",
		[ bracketright, braceright, guillemotright ]
	};

	key <AC01> {
		type= "FOUR_LEVEL_ALPHABETIC",
		[ a, A, acircumflex, Acircumflex ]
	};
	key <AC02> {
		type= "FOUR_LEVEL_ALPHABETIC",
		[ s, S, scedilla, Scedilla ]
	};
	key <AC07> {
		type= "FOUR_LEVEL_ALPHABETIC",
		[ j, J, idiaeresis, Idiaeresis ]
	};
	key <AC10> {
		type= "FOUR_LEVEL",
		[ semicolon, colon, rightsinglequotemark, dead_diaeresis ]
	};
	key <AC11> {
		type= "FOUR_LEVEL",
		[ apostrophe, quotedbl, dead_acute, dead_diaeresis ]
	};

	key <AB03> {
		type= "FOUR_LEVEL_ALPHABETIC",
		[ c, C, ccedilla, Ccedilla ]
	};
	key <AB06> {
		type= "FOUR_LEVEL_ALPHABETIC",
		[ n, N, ntilde, Ntilde ]
	};
	key <AB08> {
		type= "FOUR_LEVEL",
		[ comma, less, dead_cedilla, dead_caron ]
	};

	key <AB09> {
		type= "FOUR_LEVEL",
		[ period, greater, dead_abovedot, dead_circumflex ]
	};

	key <SPCE> {
		type= "THREE_LEVEL",
		[ space, space, nobreakspace ]
	};

	key <FK10> {
		type= "FOUR_LEVEL_ALPHABETIC", # "FUNCTION",
		[ eacute, Eacute, ediaeresis, Ediaeresis
			#, XF86_Switch_VT_10
		]
	};
	key <FK11> {
 		type= "FOUR_LEVEL_ALPHABETIC", # "FUNCTION",
		[ egrave, Egrave, oe, OE
			#, XF86_Switch_VT_11
		]
	};
	key <FK12> {
 		type= "FOUR_LEVEL_ALPHABETIC", # "FUNCTION",
		[ agrave, Agrave, ugrave, Ugrave
			#, XF86_Switch_VT_12
		]
	};

};

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#531771; Package xkb-data. (Sun, 07 Mar 2010 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 07 Mar 2010 12:54:03 GMT) Full text and rfc822 format available.

Message #55 received at 531771@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 531771@bugs.debian.org, 531771-submitter@bugs.debian.org, 534945-submitter@bugs.debian.org, 534945@bugs.debian.org, 532717-submitter@bugs.debian.org, 532717@bugs.debian.org
Subject: Re: Bug#531771: xkb-data: level 3 switch not working anymore
Date: Sun, 7 Mar 2010 13:52:32 +0100
Hello,

Could you guys look at the upstream bug ?
  https://bugs.freedesktop.org/show_bug.cgi?id=19500
Then, either close this bug or complain there as requested.

Brice




Message sent on to Nicolas Évrard <nicoe@no-log.org>:
Bug#531771. (Sun, 07 Mar 2010 12:54:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 07 Mar 2010 13:57:06 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 23:36:07 GMT) Full text and rfc822 format available.

Notification sent to Nicolas Évrard <nicoe@no-log.org>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 23:36:07 GMT) Full text and rfc822 format available.

Message #65 received at 531771-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 531771-close@bugs.debian.org
Subject: Bug#531771: fixed in xkeyboard-config 1.8-1
Date: Mon, 15 Mar 2010 23:33:42 +0000
Source: xkeyboard-config
Source-Version: 1.8-1

We believe that the bug you reported is fixed in the latest version of
xkeyboard-config, which is due to be installed in the Debian FTP archive:

xkb-data-udeb_1.8-1_all.udeb
  to main/x/xkeyboard-config/xkb-data-udeb_1.8-1_all.udeb
xkb-data_1.8-1_all.deb
  to main/x/xkeyboard-config/xkb-data_1.8-1_all.deb
xkeyboard-config_1.8-1.diff.gz
  to main/x/xkeyboard-config/xkeyboard-config_1.8-1.diff.gz
xkeyboard-config_1.8-1.dsc
  to main/x/xkeyboard-config/xkeyboard-config_1.8-1.dsc
xkeyboard-config_1.8.orig.tar.gz
  to main/x/xkeyboard-config/xkeyboard-config_1.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 531771@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xkeyboard-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Mar 2010 14:24:43 +0100
Source: xkeyboard-config
Binary: xkb-data xkb-data-udeb
Architecture: source all
Version: 1.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xkb-data   - X Keyboard Extension (XKB) configuration data
 xkb-data-udeb - X Keyboard Extension (XKB) configuration data (udeb)
Closes: 531771
Changes: 
 xkeyboard-config (1.8-1) unstable; urgency=low
 .
   [ Julien Cristau ]
   * Remove myself from Uploaders
   * New upstream release
     + Fix Win key as third level chooser (closes: #531771)
 .
   [ Cyril Brulebois ]
   * Add udeb needed for the graphical installer: xkb-data-udeb.
   * Add myself to Uploaders.
   * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
   * Add Depends: ${misc:Depends} to xkb-data.
Checksums-Sha1: 
 78b1084f6912b4ac863cacceed908dcfb03b6443 1406 xkeyboard-config_1.8-1.dsc
 c6badc9ef9ba9953b0405769afe0670c3f64ce06 1012529 xkeyboard-config_1.8.orig.tar.gz
 f199a796f76b1f4ab27d440615483773a1ce46b2 58141 xkeyboard-config_1.8-1.diff.gz
 7bb1429bcf81d69e5b3c85bb386b7c2aa37df633 859580 xkb-data_1.8-1_all.deb
 437bee2961bd2d56218bc041c23ea8e9dafe13f7 383470 xkb-data-udeb_1.8-1_all.udeb
Checksums-Sha256: 
 c4e00b4e82f7d6f0ed251ff325c0d78e6d9825c13c951be48919a2469e8a0b4d 1406 xkeyboard-config_1.8-1.dsc
 f211edb503c5a95e92d1cc4ab40323ce975baa78b8cd6ba4e1b03259a5eabc55 1012529 xkeyboard-config_1.8.orig.tar.gz
 c8443f3ead7eed8c5acf4155c05f1d47045350567b4baac447ee1226493dbacb 58141 xkeyboard-config_1.8-1.diff.gz
 3aef303500f72ea09070b0b62580f56bf7a7fe4c072f50132254c5329436a6ec 859580 xkb-data_1.8-1_all.deb
 4b90adf8e46fe98e0c8fdcd9fc9fb4fb9178f56aa821e6f63e5d4c8efd5adcf1 383470 xkb-data-udeb_1.8-1_all.udeb
Files: 
 3ff3a4c32094fd759ed3f30bfa8a0a79 1406 x11 extra xkeyboard-config_1.8-1.dsc
 f049d15f1e9d95776a940f222df9404b 1012529 x11 extra xkeyboard-config_1.8.orig.tar.gz
 b86dafd658430e808cfdefc03b9dc907 58141 x11 extra xkeyboard-config_1.8-1.diff.gz
 15711c0a8bb04d8ad850c68922d14975 859580 x11 extra xkb-data_1.8-1_all.deb
 0a3f12e68cb9f2b31d6d018821563d17 383470 debian-installer extra xkb-data-udeb_1.8-1_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkueOM0ACgkQeGfVPHR5Nd3Q7gCgtWmlnKzm+IK+UU6vjo+hoJva
dKoAoIYSS+9lya2ILD+qMdaD5S7eG2/b
=rqZB
-----END PGP SIGNATURE-----





Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 23:36:08 GMT) Full text and rfc822 format available.

Notification sent to "Carl Fürstenberg" <azatoth@gmail.com>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 23:36:08 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 23:36:08 GMT) Full text and rfc822 format available.

Notification sent to Jan Huelsbergen <afoo42@gmail.com>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 23:36:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Apr 2010 07:32:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:21:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.